Skip to main content

Get public information about charities of a specific company

GET 

/pub/company/:company_id/charities

This call serves to retrieve all charities of a specific company on public website with Cents' js library

Request

Path Parameters

    company_id stringrequired

    Unique ID of the company in scope.

Responses

successful operation

Schema

    data

    object[]

  • Array [

  • id uuid

    cents id of the charity

    name string

    The name of the charity

    sectors string[]

    sectors to be used for blacklist/whitelist from company gateway side

    areas

    object[]

  • Array [

  • region string

    The region of action

    country string

    The country of action

  • ]

  • categories

    undefined[]

  • Array [

  • category_id UUID

    Cents ID of the category

    name string

    Category name

    description string

    Category description

    causes

    undefined[]

  • Array [

  • name

    object

    The name of the cause

    key string

    The key of the cause

    translations

    object

    The translations

    en string

    The english translation

    it string

    The italian translation

    description

    object

    en string

    The english translation

    it string

    The italian translation

  • ]

  • ]

  • ]

Loading...